Subject: Re: [PATCHv6 09/10] gitweb: provide a routine to display (sub)sections

From: Jakub Narebski <[email-masked]>
Date: Mon, 25 Oct 2010 17:15:54 +0200

On Sun, 24 Oct 2010, Giuseppe Bilotta wrote:

[...]
> +# Group output by placing it in a DIV element and adding a header.
> +# Options for start_div() can be provided by passing a hash reference as the
> +# first parameter to the function.
> +# Options to git_print_header_div() can be provided by passing an array
> +# reference. This must follow the options to start_div if they are present.
> +# The content can be a scalar, which is output as-is, a scalar reference, which
> +# is output after html escaping, an IO handle passed either as *handle or
> +# *handle{IO}, or a function reference. In the latter case all following
> +# parameters will be taken as argument to the content function call.
> +sub git_print_section {

Very nice API.  Good work!

-- 
Jakub Narebski
Poland